package audio

import rl "github.com/gen2brain/raylib-go/raylib"

// Library is a map of SoundID's and sound data.
type Library []rl.Sound

func (l Library) Unload() {
	for _, stream := range l {
		rl.UnloadSound(stream)
	}
}

func (l Library) Get(id SoundID) *rl.Sound {
	return &l[id]
}
